Description

Using a Wiki syntax is sufficiently efficient for headers, bold, emphasized text and some more basic formating.

But it falls short when coming to linking to other wiki pages, or other issues, other projects etc. Most of us are power users, so we
know how to workaround this. We open multiple tabs, type wiki document in one tab, browse in an other tab to find what we want to
link, then open wiki syntax reminder to see what the textile link syntax precisely is, and finally type the correct reference in the wiki
text box.

But a less advanced user can not do that. Worse, (s)he would probably type most of its document, leaving linking to the end of the
process, then browse from its current document tab to find reference ... and lose all the work done!

We need a references browser. It would take the form of a button in the syntax toolbar. When clicking, a small menu would appear,
proposing to link to

e external references (in this case, just provide the link and the label)
e internal reference
o select project in list
= select type of reference in :
= wiki page (chose in a list, narrowing as you type content in a text-box at the top)
= issue (check boxes for open, closed, etc, then chose in the list, narrowing as you type ...)
= other types of content.

Plone has a very easy to use and powerful reference browser. Some more inspiration can be taken from it.

What do other users think ? Does someone has a plan for that ?

History

#1 - 2008-08-13 14:36 - Curtis Stewart

+1
As we build more of the help and other documentation in the wiki pages it would be very helpful to have the list of available links.

#2 - 2008-08-13 15:10 - Paul Rivier

So, any plan for that ? Any taker ? | can't do that before a couple of months at least, but hopefully this will eventually reach the top of my todo list. |
still think this represent a big usability improvement.

message to Jean-Philippe : | sent to you 3 or 4 emails in the past 2 months, and did not receive any reply. Do you still read your address at yahoo ?
Thanks

#3 - 2011-03-23 07:34 - Toshi MARUYAMA

- Category set to Text formatting
